using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace LabyrinthProject
{
    class PathElement : IEquatable<PathElement>
    {
        private Vector2 beginig;
        private Vector2 end;

        public Vector2 Beginig
        {
            get
            {
                return beginig;
            }
            set
            {
                beginig = value;
            }
        }      
        public Vector2 End
        {
            get
            {
                return end;
            }
            set
            {
                end = value;
            }
        }

        public PathElement( Vector2 beginig, Vector2 end )
        {
            this.beginig = beginig;
            this.end = end;
        }

        public bool Equals( PathElement other )
        {
            if ( this.beginig.X == other.beginig.X && this.beginig.Y == other.beginig.Y && this.end.X == other.end.X && this.end.Y == other.end.Y )
                return true;

            return false;
        }
    }
}
